.filtradoTexto {
    display: none;
}

.ocultoPaginacion {
    display: none;
}


.cuadrado-blanco {
    background-color: #ffffff; /* Color blanco de fondo */
    padding: 15px; /* Ajusta el espaciado interno según tus preferencias */
    border: 1px solid #ffffff; /* Borde gris para resaltar el cuadrado */
    border-radius: 5px; /* Bordes redondeados para un aspecto más suave */
    width: 430px; 
    height: 70px; 
    margin-top: 30px; 
    margin-bottom: 20px;
}

.table {
    border-collapse: separate;
    border-spacing: 5px 10px;
    width: 100%;
  }
  
  .table th, .table td {
    border: 1px solid #ddd;
    padding: 12px;
    text-align: left;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  }
  
  .table th {
    background-color: #f8f9fa;
  }
  
  /* Aplicar gradiente a la columna de nombre y la de la foto */
  .table th:first-child,
  .table th:nth-child(3),
  .table td:first-child,
  .table td:nth-child(3) {
    background-image: linear-gradient(43deg, #585858 0%, #B5B5B5 46%, #ffffff 100%);
    color: white; /* Añadido para mejorar la visibilidad del texto en el gradiente */
  }

  .table th:last-child,
  .table th:nth-child(2),
  .table td:last-child,
  .table td:nth-child(2) {
    background-image: linear-gradient(43deg, #585858 0%, #B5B5B5 46%, #ffffff 100%);
    
    color: white; /* Añadido para mejorar la visibilidad del texto en el gradiente */
  }


  /* Centrar contenido de las columnas de imágenes y del icono del ojo */
.table td:nth-child(3) {
    text-align: center;
  }
  

/* Mobile: Pantallas de hasta 767px */
@media only screen and (max-width: 480px) {
  /* Ajusta estilos según sea necesario para pantallas más pequeñas */
  .padre{
    align-items: center;
  }
  
  body {
    font-size: 14px;
  }

  .cuadrado-blanco {
    background-color: #ffffff; /* Color blanco de fondo */
    padding: 15px; /* Ajusta el espaciado interno según tus preferencias */
    border: 1px solid #ffffff; /* Borde gris para resaltar el cuadrado */
    border-radius: 5px; /* Bordes redondeados para un aspecto más suave */
    width: 310px; 
    height: 60px;
    margin-left: 20px;
  }

  .form-control {
    font-size: 14px; /* Ajusta el tamaño del texto para dispositivos móviles */
    margin-left: 5px;
    margin-right: 5px;
  }

}

@media only screen and (max-width: 767px) {
  /* Ajusta estilos según sea necesario para pantallas más pequeñas */
  .padre{
    align-items: center;
  }
  
  body {
    font-size: 14px;
  }

  .cuadrado-blanco {
    background-color: #ffffff; /* Color blanco de fondo */
    padding: 15px; /* Ajusta el espaciado interno según tus preferencias */
    border: 1px solid #ffffff; /* Borde gris para resaltar el cuadrado */
    border-radius: 5px; /* Bordes redondeados para un aspecto más suave */
    width: 310px; 
    height: 60px;
    margin-left: 20px;
  }

  .form-control {
    font-size: 14px; /* Ajusta el tamaño del texto para dispositivos móviles */
    margin-left: 5px;
    margin-right: 5px;
  }

}

/* Tablet: Pantallas de 768px a 1023px */
@media only screen and (min-width: 768px) and (max-width: 1023px) {
  /* Ajusta estilos según sea necesario para tabletas */

  .header {
    float: none; 
    margin-bottom: 35px;
  }
  .header #logo {
    margin-left: 290px; 
  }
  .header #navHeader {
    margin-left: 335px; 
  }
  .header #iconosHeader {
    margin-left: 350px; 
    font-size: 3em;
  }
  
  .cuadrado-blanco {
    background-color: #ffffff; /* Color blanco de fondo */
    padding: 15px; /* Ajusta el espaciado interno según tus preferencias */
    border: 1px solid #ffffff; /* Borde gris para resaltar el cuadrado */
    border-radius: 5px; /* Bordes redondeados para un aspecto más suave */
    width: 360px; 
    height: 60px;
    margin-left: -25px;
  }

  .form-control {
    font-size: 14px; /* Ajusta el tamaño del texto para dispositivos móviles */
  }

}

/* Desktop: Pantallas de 1024px en adelante */
@media only screen and (min-width: 1024px) {
  /* Ajusta estilos según sea necesario para pantallas más grandes */
  .container-fluid {
    padding: 20px;
  }

}